Bug 158328 - [patch] graphics/libjpeg-turbo: enable compat with graphics/jpeg
[patch] graphics/libjpeg-turbo: enable compat with graphics/jpeg
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-27 04:40 UTC by inyaoo
Modified: 2011-07-10 11:40 UTC (History)
0 users

See Also:


Attachments
a.diff (1.34 KB, patch)
2011-06-27 04:40 UTC, inyaoo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description inyaoo 2011-06-27 04:40:03 UTC
- switch API/ABI to v8
- chase SOVERSION of graphics/jpeg[1]
- prune unnecessary autotools

Most ports don't need rebuild.

[1] it should avoid the need to touch libmap.conf(5) or do a sweeping
    change for ports that specify version, e.g.

      $ fgrep -lr jpeg.11: /usr/ports # to get a list

How-To-Repeat: $ cd www/firefox; make install
$ cd graphics/jpeg; make deinstall
$ cd graphics/libjpeg-turbo; make install
$ firefox &

alternatively

$ cd graphics/libjpeg-turbo; make install
$ cd www/firefox; make install
$ firefox &
Comment 1 Edwin Groothuis freebsd_committer 2011-06-27 04:40:20 UTC
Maintainer of graphics/libjpeg-turbo,

Please note that PR ports/158328 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158328

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-06-27 04:40:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 inyaoo 2011-06-27 05:07:39 UTC
Also, recent firefox release uses libjpeg-turbo by default[1].
Its port can be forced to use bundled version by adding `-jpeg'
to USE_MOZILLA. However, this PR should benefit all jpeg ports,
not only www/firefox.

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=573948
Comment 4 bytestore 2011-07-04 08:29:29 UTC
Yes, approve this.
Thank you very mutch!

EG> Maintainer of graphics/libjpeg-turbo,

EG> Please note that PR ports/158328 has just been submitted.

EG> If it contains a patch for an upgrade, an enhancement or a bug fix
EG> you agree on, reply to this email stating that you approve the patch
EG> and a committer will take care of it.

EG> The full text of the PR can be found at:
EG>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158328




-- 
bytestore@yandex.ru
Ïîäîëüñêèé Äåíèñ Åâãåíüåâè÷ 
icq161330462
Comment 5 Mark Linimon freebsd_committer 2011-07-04 09:44:56 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Max Brazhnikov freebsd_committer 2011-07-04 19:01:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 7 dfilter freebsd_committer 2011-07-10 11:35:24 UTC
makc        2011-07-10 10:35:10 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libjpeg-turbo Makefile pkg-plist 
  Log:
  switch API/ABI to v8
  chase SOVERSION of graphics/jpeg
  prune unnecessary autotools
  
  PR:             ports/158328
  Submitted by:   Pan Tsu <inyaoo at gmail.com>
  Approved by:    Denis Podolskiy (maintainer)
  
  Revision  Changes    Path
  1.15      +8 -2      ports/graphics/libjpeg-turbo/Makefile
  1.4       +1 -1      ports/graphics/libjpeg-turbo/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Max Brazhnikov freebsd_committer 2011-07-10 11:37:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!